<mat-card class="card col-md-8 border-info" id="workoutUpd">
  <mat-card-title> Izmena treninga: </mat-card-title>

  <mat-card-content>
    <mat-grid-list cols=2 rowHeight=700px>
      <mat-grid-tile>
        <div class="info" *ngIf="workout">

          <div>
            <strong>Naziv treninga:</strong>
            <p> {{workout.name}} </p>
          </div>

          <div *ngIf="gym">
            <strong> Teretana: </strong>
            <p> {{gym.name}} </p>
          </div>

          <div>
            <strong> Početak </strong>
            <p> {{workout.startTime | date: 'dd.MM.yyyy HH:mm'}} </p>
          </div>

          <div>
            <strong> Kraj: </strong>
            <p> {{workout.endTime | date: 'dd.MM.yyyy HH:mm'}} </p>
          </div>

          <div>
            <strong> Broj mesta: </strong>
            <p> {{workout.maxSpots}} </p>
          </div>

          <div>
            <strong> Težina </strong>
            <p> {{workout.difficulty}} </p>
          </div>

          <div>
            <strong> Tip treninga </strong>
            <p> {{workout.trainingType}} </p>
          </div>

          <div>
            <strong> Opis: </strong>
            <p> {{workout.description}} </p>
          </div>

          <div>
            <strong> Cena </strong>
            <p> {{workout.price}} RSD </p>
          </div>

          <button mat-stroked-button [routerLink]="['/timetable']">
            Odustani <mat-icon>home</mat-icon>
          </button>
        </div>
      </mat-grid-tile>


      <mat-grid-tile>
        <div class="info">

          <form [formGroup]="checkForm" (ngSubmit)="submitForm(checkForm.value)">

            <!-- Naziv treninga -->
            <div>
              <mat-form-field appearance="fill">
                <input matInput type="text" formControlName="changeName">
              </mat-form-field>
            </div>

            <!-- Teretana -->
            <div>
              <mat-select formControlName="changeGym" placeholder="--teretana--">
                <mat-option *ngFor="let g of gymNames" value="{{g}}">{{g}}</mat-option>
              </mat-select>
            </div>
            <br>

            <!-- Pocetak -->
            <div>
              <mat-form-field>
                <input matInput type="datetime-local" min="2020-08-09T00:00" placeholder="Termin početka"
                  formControlName="changeStartTime">
              </mat-form-field>
            </div>
            <br>

            <!-- Kraj -->
            <div>
              <mat-form-field>
                <input matInput type="datetime-local" min="2020-08-09T00:00" placeholder="Termin kraja" name="endTime"
                  formControlName="changeEndTime">
              </mat-form-field>
            </div>

            <!-- Broj mesta -->
            <div>
              <mat-form-field class="create-input" appearance="">
                <input matInput min="1" max="100" type="number" name="spots" formControlName="changeMaxSpots">
              </mat-form-field>
            </div>
            <br>

            <!-- Tezina -->
            <div>
              <mat-radio-group aria-label="Težina treninga" formControlName="changeDifficulty">
                <mat-label> Težina treninga </mat-label>
                <mat-radio-button value="1">1</mat-radio-button>
                <mat-radio-button value="2">2</mat-radio-button>
                <mat-radio-button value="3">3</mat-radio-button>
                <mat-radio-button value="4">4</mat-radio-button>
                <mat-radio-button value="5">5</mat-radio-button>
              </mat-radio-group>
            </div>
            <br>

            <!-- Tip treninga -->
            <div>
              <mat-select formControlName="changeTrainingType" appearance="fill" placeholder="--tip--">
                <mat-option *ngFor="let type of trainingTypes" value="{{type}}">{{type}}</mat-option>
              </mat-select>
            </div>

            <!-- Opis -->
            <div>
              <mat-form-field apperiance="">
                <input matInput maxlength="512" placeholder="Pr. Trening aktivira sve grupe mišića"
                  formControlName="changeDescription">
              </mat-form-field>
            </div>

            <!-- Cena -->
            <div>
              <mat-form-field>
                <input matInput type="number" min="0" formControlName="changePrice">
                <span matSuffix>RSD</span>
              </mat-form-field>
            </div>
            <button type="submit" mat-raised-button [disabled]="!checkForm.valid">Potvrdite promene</button>
          </form>

        </div>

      </mat-grid-tile>

    </mat-grid-list>
  </mat-card-content>

</mat-card>